<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */

get_header(); ?>

<div id="content">
	<div id="content-left">
		<div id="maintext">
			<div id="post-0" class="post error404 not-found">
				<div class="entry-content">
					<p><?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.', 'templatesquare' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</div><!-- #post-0 -->


	<script type="text/javascript">
		// focus on search field after it has loaded
		document.getElementById('s') && document.getElementById('s').focus();
	</script>
		</div><!-- end #maintext -->
	</div><!-- end #content-left -->
	
	<div id="content-right">
		<div id="sideright">
		
	<?php get_sidebar(); ?>
	
		</div><!-- end #sideright -->
	</div><!-- end #content-right -->
	<div class="clr"></div><!-- end clear float -->
</div><!-- end #content -->

<?php get_footer(); ?>