<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop.php or
 * loop-template.php, where 'template' is the loop context
 * requested by a template. For example, loop-index.php would
 * be used if it exists and we ask for the loop with:
 * <code>get_template_part( 'loop', 'index' );</code>
 *
 * @package WordPress
 * @subpackage Centivio
 * @since Centivio 1.0
 */
?>


			
<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="entry-title"><?php _e( 'Not Found', 'templatesquare' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'templatesquare' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php endif; ?>
		<div id="main-gallery">

		<ul>
		<?php 
		$i=1;
		if ( have_posts() ) while ( have_posts() ) : the_post(); 
		if(($i%4) == 0){ $addclass = "nomargin";	}	
		?>
		
		
		<?php
			$custom = get_post_custom($post->ID);
			$cf_thumb = $custom["thumb"][0];
			$cf_lightbox = $custom["lightbox"][0];
			
			if($cf_thumb!=""){
				$cf_thumb = "<img src='" . $cf_thumb . "' alt=''  width='220' height='120' class='fade'/>";
			}
		?>
		
			<li class="<?php echo $addclass; ?>">
			<div class="portfoliobg">
			<?php if($cf_lightbox!=""){ ?>
			<a class="image" href="<?php echo $cf_lightbox;?>" rel="prettyPhoto[mixed]" title="<?php the_title();?>"><?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( 'portfolio-post-thumbnail', array('class' => 'fade'));} ?></a>
		<?php }else{ ?>
			<a href="<?php the_permalink() ?>" title="<?php _e('Permanent Link to', 'templatesquare');?> <?php the_title_attribute(); ?>" ><?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( 'portfolio-post-thumbnail', array('class' => 'fade') );} ?></a>
			<?php } ?>
			</div>
			<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'templatesquare' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<p><?php $excerpt = get_the_excerpt(); echo ts_string_limit_char($excerpt,60);?> </p>
			
			</li>
		
	
		<?php $i++; $addclass = ""; endwhile; ?>
		</ul>
		<div class="clr"></div>
		</div>
		
		<?php if (  $wp_query->max_num_pages > 1 ) : ?>
	
			 <?php if(function_exists('wp_pagenavi')) { ?>
				 <?php wp_pagenavi(); ?>
			 <?php }else{ ?>
		<div id="nav-below" class="navigation nav2">
			<div class="nav-previous"><?php next_posts_link( __( '<span class="prev"><span class="meta-nav">&laquo;</span> Prev</span>', 'templatesquare' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( '<span class="prev">Next <span class="meta-nav">&raquo;</span></span>', 'templatesquare' ) ); ?></div>
		</div><!-- #nav-below -->
			<?php }?>
		<?php endif; ?>