<?php
/**
 * Template Name: News
 *
 * A custom page template for news page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */

get_header(); ?>
<div id="header-inner">
	<?php include_once(TEMPLATEPATH . '/title.php'); ?>
</div><!-- end #header-inner -->

				<?php 
				if ( is_active_sidebar('before-content') ) {
				get_sidebar('before-content');
				}
				?>

<div id="content">
	<div id="content-left">
		<div id="maintext">
				
				<?php 
				if(!is_front_page()){
					include_once (TEMPLATEPATH . '/title.php');
				}
				?>				
				
				<?php if ( function_exists('yoast_breadcrumb')) {
				yoast_breadcrumb('<div id="breadcrumbs">','</div>');
					} 
				?>

						<?php $values = get_post_custom_values("category-include"); $cat=$values[0];  ?>
						<?php $strinclude = $cat;?>
						<?php $catinclude = 'category_name=' . $strinclude ;?>
						<?php query_posts('&' . $catinclude .' &paged='.$paged. '&showposts=5'); ?>
						
		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		
		
		<?php
			$custom = get_post_custom($post->ID);
			$cf_thumb = $custom["thumb"][0];
			
			if($cf_thumb!=""){
				$cf_thumb = "<img src='" . $cf_thumb . "' alt='' width='72' height='72' />";
			}
		?>
			
            	<div class="box-news">
                    <?php if($cf_thumb!=""){ echo $cf_thumb; }else{ the_post_thumbnail( );} ?>
					<div class="news-txt">
                    <h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'templatesquare' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                    <span class="postdate"><?php  the_time('l, F j, Y') ?></span>
					<p><?php $excerpt = get_the_excerpt(); echo ts_string_limit_words($excerpt,20).'...';?></p>
					</div>               	
                </div><!-- end box-news-->

			<?php endwhile; ?>
			
			
		<?php if (  $wp_query->max_num_pages > 1 ) : ?>
	
		<?php if(function_exists('wp_pagenavi')) { ?>
				 <?php wp_pagenavi(); ?>
		<?php }else{ ?>
				<div id="nav-below" class="navigation navnews">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="prev"><span class="meta-nav">&laquo;</span> Prev</span>', 'templatesquare' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( '<span class="prev">Next <span class="meta-nav">&raquo;</span></span>', 'templatesquare' ) ); ?></div>
				</div><!-- #nav-below -->
		<?php }?>
		<?php endif; ?>
		
				<?php wp_reset_query();?>		
		</div><!-- end #maintext -->
	</div><!-- end #content-left -->
	
	<div id="content-right">
		<div id="sideright">
					<?php get_sidebar('page'); ?>
		</div><!-- end #sideright -->
	</div><!-- end #content-right -->
	<div class="clr"></div><!-- end clear float -->
</div><!-- end #content -->
				
			<?php 
			if ( is_active_sidebar('after-content') ) {
			get_sidebar('after-content');
			}
			?>
<?php get_footer(); ?>
