<?php
/**
 * Template Name: Portfolio
 *
 * A custom page template for portfolio page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */

get_header(); ?>
<div id="header-inner">
	<?php include_once(TEMPLATEPATH . '/title.php'); ?>
</div><!-- end #header-inner -->

			
	<div id="content_full">
			
			<?php if ( function_exists('yoast_breadcrumb') && !is_front_page() ) {
			yoast_breadcrumb('<div id="breadcrumbs">','</div>');
			} ?>
			
				<?php 
				if ( is_active_sidebar('before-content') ) {
				get_sidebar('before-content');
				}
				?>
			
			
			<?php the_content(); ?>
			
			<?php $values = get_post_custom_values("category-include"); $cat=$values[0];  ?>
			<?php global $more;	$more = 0;?>
			<?php $catinclude = 'portfoliocat='.$cat;?>
			<?php query_posts('&' . $catinclude .' &paged='.$paged.'&showposts=8'); ?>
			<?php get_template_part( 'loop', 'portfolio' );?>
			<?php wp_reset_query();?>
			<br class="clr" />
		
	</div><!-- #content -->


			<?php 
			if ( is_active_sidebar('after-content') ) {
			get_sidebar('after-content');
			}
			?>


<?php get_footer(); ?>
