<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the wordpress construct of pages
 * and that other 'pages' on your wordpress site will use a
 * different template.
 *
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */

get_header(); ?>
<?php if(!is_front_page()){?>
<div id="header-inner">
	<?php include_once(TEMPLATEPATH . '/title.php'); ?>
</div><!-- end #header-inner -->
<?php } ?>
				<?php 
				if ( is_active_sidebar('before-content') ) {
				get_sidebar('before-content');
				}
				?>
			
<div id="content">
	<div id="content-left">
		<div id="maintext">
				
<?php if(is_front_page()){?>
<h1><?php the_title(); ?></h1>
<?php } ?>

			<?php if ( function_exists('yoast_breadcrumb') && !is_front_page() ) {
			yoast_breadcrumb('<div id="breadcrumbs">','</div>');
			} ?>

			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
			
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry-content">
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatesquare' ), 'after' => '</div>' ) ); ?>
					<?php edit_post_link( __( 'Edit', 'templatesquare' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .entry-content -->
			</div><!-- #post-## -->
		
			<?php comments_template( '', true ); ?>
		
			<?php endwhile; ?>
	
		</div><!-- end #maintext -->
	</div><!-- end #content-left -->
	
	<div id="content-right">
		<div id="sideright">
	
			<?php get_sidebar('page'); ?>
		
		</div><!-- end #sideright -->
	</div><!-- end #content-right -->
	<div class="clr"></div><!-- end clear float -->
</div><!-- end #content -->

				<?php 
				if ( is_active_sidebar('after-content') ) {
				get_sidebar('after-content');
				}
				?>
<?php get_footer(); ?>
